Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81884 - e1000.o module will not load of kickstart floppy
Summary: e1000.o module will not load of kickstart floppy
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-14 21:06 UTC by Ray Parish
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-22 06:04:57 UTC


Attachments (Terms of Use)

Description Ray Parish 2003-01-14 21:06:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
I rebuilt the modules.cgz file and included the e1000.o driver
When booting off the kickstart floppy, I am presented with a list of network
drivers. I choose the Interl Pro/1000 Driver and I get:

undefined symbols on tty3

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.follow http://acd.ucar.edu/~fredrick/linux/e1000
2.
3.
    

Actual Results:  undefined symbols

Expected Results:  e1000 module to load

Additional info:

How does one go about getting e1000 driver support for kickstart installations?

Comment 1 Jeremy Katz 2003-01-15 05:12:08 UTC
If you get unresolved symbols, you didn't rebuild the driver against the same
kernel.

Comment 2 Ray Parish 2003-01-15 14:36:01 UTC
Can you please tell me how to get the BOOT kernel source?
I installed the kernel-2.4.8-3BOOT, and booted to it. I have the
kernel-source-2.4.8-3, which i compiled the module against.

Comment 3 Jeremy Katz 2003-01-22 06:04:57 UTC
Please see the driver disk development kit at http://people.redhat.com/~dledford/


Note You need to log in before you can comment on or make changes to this bug.